### Function

# GLib test_fail

since: 2.30

#### Declaration [src]

    void
    g_test_fail (
      void
    )

#### Description [src]

Indicates that a test failed.

This function can be called multiple times from the same test. You can use this function if your test failed in a recoverable way.

Do not use this function if the failure of a test could cause other tests to malfunction.

Calling this function will not stop the test from running, you need to return from the test function yourself. So you can produce additional diagnostic messages or even continue running the test.

If not called from inside a test, this function does nothing.

Note that unlike `g_test_skip()` and `g_test_incomplete()`, this function does not log a message alongside the test failure. If details of the test failure are available, either log them with `g_test_message()` before `g_test_fail()`, or use `g_test_fail_printf()` instead.

Available since: 2.30